Powersave Monitor
=================

This little daemon monitors and sets the powersave option of a network
device. According to some
[sources](https://bbs.archlinux.org/viewtopic.php?id=242382), the problems
associated with the Broadcom WiFi chipset on some models of the Dell XPS 13
laptop can be workarounded by turning off the `power_save` option of the device.

However, the option turns itself on automatically on several cases; this little
demon monitors the device each second and turns the option off if it's turned
on.

On the configuration file `/etc/powersave-monitor/powersave-monitor.conf` set
the device and the option you want to set.

```shell
# Set the device to monitor and the powersave option to set
DEVICE="eth0"
# Anything different from "on" is considered "off".
POWERSAVE="off"
```

Then enable the service with systemd.

```
systemctl enable powersave-monitor.service
```

The resources needed by the daemon should be negligible.
